Subject: Re: Job | Tech Support Remote Screening
From: Navin Prakash <[email-masked]>
To: [email-masked]
Date: Thu, 14 Jan 2021 22:13:02 +0530

Not able to view Details? Learn More

Job Title
Job | Tech Support Remote Screening

3345 Applicants

View All

Navin Prakash
I would like to work and contribute my 100% efforts to maintain a quality work. I want to see the organization and process get more success, so I can also become a part of that.

Shortlist

Reject

Current Designation Subject Matter Expert on role
Current Company Teleperformance
Notice Period 1 Months
Previous Designation Not Mentioned
Previous Company Not Mentioned

Contact Details
Mobile:

Exp
5 Yrs 10 M

CTC

Location

Not Able to View Details? Learn More
Preferred Location: Noida, Jaipur, Gurgaon
Education
M.Com
Rajasthan University
B.Com
Bikaner University
Key Skills
Excel, Powerpoint, Data Entry, Bpo Non Voice, Back Office, Accounting, Finance, Banking, Customer Support Assistant, Documentation, Customer Support, Troubleshooting, Installation, Technical Support, Invoice Processing, Payment Processing, Accounts Payable

Shortlist

Reject

You can call us at 1800 102 5558 and mail us at  [email-masked]

Report a problem